JavaScript
import Runloop from '@runloop/api-client';
const client = new Runloop({
bearerToken: process.env['RUNLOOP_API_KEY'], // This is the default and can be omitted
});
const axonView = await client.axons.update('id');
console.log(axonView.id);import os
from runloop_api_client import Runloop
client = Runloop(
bearer_token=os.environ.get("RUNLOOP_API_KEY"), # This is the default and can be omitted
)
axon_view = client.axons.update(
id="id",
)
print(axon_view.id)curl --request POST \
--url https://api.runloop.ai/v1/axons/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"metadata": {}
}'
{
"id": "<string>",
"created_at_ms": 123,
"metadata": {},
"name": "<string>"
}axons
[Beta] Update an axon.
[Beta] Updates the specified axon fields. Omitted fields are left unchanged. An empty metadata map clears the metadata.
POST
/
v1
/
axons
/
{id}
JavaScript
import Runloop from '@runloop/api-client';
const client = new Runloop({
bearerToken: process.env['RUNLOOP_API_KEY'], // This is the default and can be omitted
});
const axonView = await client.axons.update('id');
console.log(axonView.id);import os
from runloop_api_client import Runloop
client = Runloop(
bearer_token=os.environ.get("RUNLOOP_API_KEY"), # This is the default and can be omitted
)
axon_view = client.axons.update(
id="id",
)
print(axon_view.id)Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The axon identifier.
Body
application/json
User defined metadata to replace the axon metadata. Omit or set to null to leave unchanged, or set to an empty map to clear it.
Show child attributes
Show child attributes
Was this page helpful?
